Coolify logoCoolify
GET
/hetzner/ssh-keys

Get all SSH keys stored in the Hetzner account.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Query Parameters

cloud_provider_token_uuid?string

Cloud provider token UUID. Required if cloud_provider_token_id is not provided.

cloud_provider_token_id?stringDeprecated

Deprecated: Use cloud_provider_token_uuid instead. Cloud provider token UUID.

Response Body

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/hetzner/ssh-keys"
[  {    "id": 0,    "name": "string",    "fingerprint": "string",    "public_key": "string"  }]
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}